Page MenuHomePhabricator

Get fresheye.com off OAI
Closed, ResolvedPublic

Description

+++ This bug was initially created as a clone of Bug #68538 +++

It seems fresheye.com is also still using OAI...

mysql:wikiadmin@db1038 [oai]> select oa_client, ou_name, count(oa_client) from o                                                                                        aiaudit left join oaiuser on oa_client = ou_id group by oa_client;
+-----------+--------------+------------------+
| oa_client | ou_name      | count(oa_client) |
+-----------+--------------+------------------+
|         0 | NULL         |             1055 |
|         6 | lsearch2     |           126808 |
|        12 | fresheye.com |             5967 |
|        13 | dbpedia      |            38854 |
+-----------+--------------+------------------+
4 rows in set (0.37 sec)

https://bugzilla.wikimedia.org/show_bug.cgi?id=68538

Details

Reference
bz68866

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
ResolvedReedy
ResolvedReedy

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:36 AM
bzimport set Reference to bz68866.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jul 30 2014, 5:11 PM
Reedy added a comment.Jul 30 2014, 5:12 PM

That's since 20140724215329

(In reply to Sam Reed (reedy) from comment #1)

That's since 20140724215329

How to know if other clients are doing irregular use of the service?

How many authorised clients were there in total? (Assuming it's the same thing, more info on https://meta.wikimedia.org/wiki/Wikimedia_update_feed_service is always welcome. :-) )

Reedy added a comment.Jul 30 2014, 5:25 PM

(In reply to Nemo from comment #2)

(In reply to Sam Reed (reedy) from comment #1)

That's since 20140724215329

How to know if other clients are doing irregular use of the service?
How many authorised clients were there in total? (Assuming it's the same
thing, more info on
https://meta.wikimedia.org/wiki/Wikimedia_update_feed_service is always
welcome. :-) )

OAI isn't being disabled anytime in the short term, so we'll just need to keep an eye on the oai audit logs

But yes, it would look to be the "Wikimedia update feed service"

This discussion should probably go on 68867 ;). But there's 13 accounts. 1 is a test account. 4 are marked as disabled. 1 with a password of null (but still using the service apparently, see bug 68868)

Reedy updated the task description. (Show Details)Jul 24 2015, 2:46 AM
Reedy set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 2:46 AM
greg updated the task description. (Show Details)Aug 13 2015, 4:50 PM
greg added a subscriber: greg.

Do we have contacts there?

Reedy added a comment.Aug 13 2015, 6:27 PM

Do we have contacts there?

If no one at WMF knows anymore, might be worth reaching out to Kul

If no one at WMF knows anymore, might be worth reaching out to Kul

/me wonders who Kul is in this context. Could you clarify / drop me a private email if there are mail addresses involved?

/me wonders who Kul is in this context. Could you clarify / drop me a private email if there are mail addresses involved?

https://wikimediafoundation.org/wiki/User:Kul

If no one at WMF knows anymore, might be worth reaching out to Kul

/me wonders who Kul is in this context. Could you clarify / drop me a private email if there are mail addresses involved?

I think that'd be Kul Wadhwa, was Head of Business Development for the Foundation at some point. https://wikimediafoundation.org/w/index.php?title=Template:Staff_and_contractors&diff=98133&oldid=98118

I've just asked Kul on facebook...

And I did email.

Reedy added a comment.Sep 19 2015, 8:57 AM

So after speaking to Kul and giving him a bit of time to think about it, he said that @brion should have some contact details for them... Brion, do you happen to remember anything? And/Or can you have a look through your email to see if you can find anything relevant? Thanks! :)

brion added a comment.Sep 21 2015, 7:07 PM

I have no direct contact in my email archive; I sent the OAI client directions & password to Vishal (Kul's predecessor, sorta), who sent it on to the partner. This was January 2008.

TTO added a subscriber: TTO.Oct 22 2015, 7:24 AM

Has anyone from WMF attempted to contact them via the general contact form?

If that doesn't get through to them, I would suggest to temporarily disable their OAI access for a few hours, and see if that gets their attention.

In T70866#1744811, @TTO wrote:

Has anyone from WMF attempted to contact them via the general contact form?

So I have contacted them now via that form. The last screen states that I managed to enter everything needed:

フレッシュアイ お問い合わせ 完了画面
お問い合わせありがとうございました。
後ほど弊社担当者よりご連絡させていただきます。

I received an email reply from Mr. Seiji Miike (sent from a generic support email address):

We have understood your message. We will change fresheye.com using RCStream instead of OAI.
But we need time for that, so would you please not disable our OAI access.

I replied by asking to please directly get in contact here in this Phabricator task, if possible.

I'm a member of fresheye.com. I get in contact here thanks to Aklapper's kind help.

I have some questions. Please give me your suggestions.

We have a plan to get the data using http://ja.wikipedia.org/w/api.php instead of OAI.

Is it the good way? Otherwise, are there any other better methods?

We have tried using http://ja.wikipedia.org/w/api.php, but we haven't known
which entries were deleted. How can we know that?

Thanks in advance.

Aklapper added a subscriber: ori.Dec 3 2015, 5:45 PM

@ori: Could you help the fresheye folks? ^

@ori: Could you help the fresheye folks in this ticket, especially as T70538#1834298 talks about switching off OAI on 2016-03-01?

ori added a comment.Dec 11 2015, 7:02 AM

RCStream broadcasts delete events. Please have a look at the documentation and see if that helps. If you are still stuck, let me know.

Thank you very much for your comment. We will try.

@fresheyecom: Just checking: Is everything going as expected for Fresheye converting from OAI to RCStream?
Asking as there are four weeks left until OAI will get switched off.

We have a question. Using the API we show you below, we intend to get update information, then to get the entries in the update information.

https://ja.wikipedia.org/w/api.php?action=query&list=recentchanges&rclimit=500&rcnamespace=0|6|8|14500&rcnamespace=0|6|8|14&rcprop=timestamp|title|ids|sizes|redirect|flags&rcshow=!bot&format=xml

What do you think about this method? If you have a better idea, please tell us.

you probably don't want to set rcnamespace twice like that

I'm sorry. There was my mistake of the API .

Using the API below, we intend to get update information, then to get the entries in the update information.

https://ja.wikipedia.org/w/api.php?action=query&list=recentchanges&rclimit=500&rcnamespace=0|6|8|145&rcprop=timestamp|title|ids|sizes|redirect|flags&rcshow=!bot&format=xml

What do you think about this method? If you have a better idea, please tell us.

@fresheyecom: As we plan to turn off OAI in six days, has Fresheye.com been successfully migrated? What is the status?
Thanks! :)

No, we can't migrate Fresheye.com yet.

We haven't got the answer for the question below.

We want to know whether the method is good or not: Using the API below,
we get update information, then get the entries in the update information.
https://ja.wikipedia.org/w/api.php?action=query&list=recentchanges&rclimit=500&rcnamespace=0|6|8|145&rcprop=timestamp|title|ids|sizes|redirect|flags&rcshow=!bot&format=xml

If you give us the answer, we will manage to migrate Fresheye.com in two weeks.
So, would you please give it and wait for two more weeks?

ori added a comment.Feb 26 2016, 9:39 AM

Yes, it's fine to do it that way.

So, would you please give it and wait for two more weeks?

Ok, but we won't extend it beyond that; it'll be deactivated on 11 March 2016.

Change 276817 had a related patch set uploaded (by Ori.livneh):
Disable OAI extension

https://gerrit.wikimedia.org/r/276817

Change 276817 merged by jenkins-bot:
Disable OAI extension

https://gerrit.wikimedia.org/r/276817

ori added a comment.Mar 11 2016, 8:54 PM

@fresheyecom, our records indicate that you are still using this API. We are really, seriously, actually going to turn it off on Monday, March 14. You are the last user of the API that has not migrated.

Reedy added a comment.Mar 11 2016, 9:02 PM
mysql:wikiadmin@db1038 [oai]> SELECT DAYOFYEAR(oa_timestamp) - 60 AS 'Day', HOUR(oa_timestamp) AS 'Hour', COUNT(*) AS num FROM oaiaudit WHERE oa_timestamp > 20160301000000 GROUP BY DAYOFYEAR(oa_timestamp), HOUR(oa_timestamp);
+------+------+-----+
| Day  | Hour | num |
+------+------+-----+
|    1 |    0 |  32 |
|    1 |    1 |  27 |
|    1 |    2 |  28 |
|    1 |    3 |  32 |
|    1 |    4 |  38 |
|    1 |    5 |  37 |
|    1 |    6 |  32 |
|    1 |    7 |  37 |
|    1 |    8 |  41 |
|    1 |    9 |  42 |
|    1 |   10 |  33 |
|    1 |   11 |  35 |
|    1 |   12 |  40 |
|    1 |   13 |  39 |
|    1 |   14 |  41 |
|    1 |   15 |  31 |
|    1 |   16 |  26 |
|    1 |   17 |  24 |
|    1 |   18 |  22 |
|    1 |   19 |  24 |
|    1 |   20 |  20 |
|    1 |   21 |  18 |
|    1 |   22 |  22 |
|    1 |   23 |  20 |
|    2 |    0 |  27 |
|    2 |    1 |  34 |
|    2 |    2 |  35 |
|    2 |    3 |  29 |
|    2 |    4 |  29 |
|    2 |    5 |  35 |
|    2 |    6 |  32 |
|    2 |    7 |  39 |
|    2 |    8 |  33 |
|    2 |    9 |  41 |
|    2 |   10 |  40 |
|    2 |   11 |  36 |
|    2 |   12 |  41 |
|    2 |   13 |  41 |
|    2 |   14 |  38 |
|    2 |   15 |  33 |
|    2 |   16 |  26 |
|    2 |   17 |  23 |
|    2 |   18 |  25 |
|    2 |   19 |  21 |
|    2 |   20 |  18 |
|    2 |   21 |  21 |
|    2 |   22 |  18 |
|    2 |   23 |  23 |
|    3 |    0 |  32 |
|    3 |    1 |  29 |
|    3 |    2 |  32 |
|    3 |    3 |  31 |
|    3 |    4 |  33 |
|    3 |    5 |  33 |
|    3 |    6 |  33 |
|    3 |    7 |  34 |
|    3 |    8 |  34 |
|    3 |    9 |  36 |
|    3 |   10 |  37 |
|    3 |   11 |  31 |
|    3 |   12 |  44 |
|    3 |   13 |  42 |
|    3 |   14 |  44 |
|    3 |   15 |  45 |
|    3 |   16 |  30 |
|    3 |   17 |  20 |
|    3 |   18 |  20 |
|    3 |   19 |  17 |
|    3 |   20 |  18 |
|    3 |   21 |  16 |
|    3 |   22 |  21 |
|    3 |   23 |  22 |
|    4 |    0 |  32 |
|    4 |    1 |  25 |
|    4 |    2 |  30 |
|    4 |    3 |  34 |
|    4 |    4 |  36 |
|    4 |    5 |  38 |
|    4 |    6 |  34 |
|    4 |    7 |  29 |
|    4 |    8 |  39 |
|    4 |    9 |  38 |
|    4 |   10 |  32 |
|    4 |   11 |  32 |
|    4 |   12 |  38 |
|    4 |   13 |  37 |
|    4 |   14 |  33 |
|    4 |   15 |  31 |
|    4 |   16 |  23 |
|    4 |   17 |  29 |
|    4 |   18 |  23 |
|    4 |   19 |  19 |
|    4 |   20 |  20 |
|    4 |   21 |  19 |
|    4 |   22 |  23 |
|    4 |   23 |  22 |
|    5 |    0 |  37 |
|    5 |    1 |  36 |
|    5 |    2 |  36 |
|    5 |    3 |  33 |
|    5 |    4 |  32 |
|    5 |    5 |  34 |
|    5 |    6 |  36 |
|    5 |    7 |  35 |
|    5 |    8 |  40 |
|    5 |    9 |  38 |
|    5 |   10 |  30 |
|    5 |   11 |  35 |
|    5 |   12 |  36 |
|    5 |   13 |  34 |
|    5 |   14 |  36 |
|    5 |   15 |  32 |
|    5 |   16 |  27 |
|    5 |   17 |  20 |
|    5 |   18 |  22 |
|    5 |   19 |  21 |
|    5 |   20 |  19 |
|    5 |   21 |  21 |
|    5 |   22 |  21 |
|    5 |   23 |  28 |
|    6 |    0 |  36 |
|    6 |    1 |  35 |
|    6 |    2 |  40 |
|    6 |    3 |  34 |
|    6 |    4 |  38 |
|    6 |    5 |  38 |
|    6 |    6 |  40 |
|    6 |    7 |  35 |
|    6 |    8 |  36 |
|    6 |    9 |  35 |
|    6 |   10 |  39 |
|    6 |   11 |  37 |
|    6 |   12 |  37 |
|    6 |   13 |  39 |
|    6 |   14 |  39 |
|    6 |   15 |  38 |
|    6 |   16 |  24 |
|    6 |   17 |  22 |
|    6 |   18 |  20 |
|    6 |   19 |  21 |
|    6 |   20 |  16 |
|    6 |   21 |  18 |
|    6 |   22 |  18 |
|    6 |   23 |  21 |
|    7 |    0 |  29 |
|    7 |    1 |  28 |
|    7 |    2 |  29 |
|    7 |    3 |  29 |
|    7 |    4 |  31 |
|    7 |    5 |  32 |
|    7 |    6 |  35 |
|    7 |    7 |  38 |
|    7 |    8 |  39 |
|    7 |    9 |  35 |
|    7 |   10 |  37 |
|    7 |   11 |  36 |
|    7 |   12 |  35 |
|    7 |   13 |  36 |
|    7 |   14 |  36 |
|    7 |   15 |  34 |
|    7 |   16 |  34 |
|    7 |   17 |  20 |
|    7 |   18 |  21 |
|    7 |   19 |  17 |
|    7 |   20 |  16 |
|    7 |   21 |  21 |
|    7 |   22 |  22 |
|    7 |   23 |  21 |
|    8 |    0 |  25 |
|    8 |    1 |  24 |
|    8 |    2 |  28 |
|    8 |    3 |  29 |
|    8 |    4 |  31 |
|    8 |    5 |  32 |
|    8 |    6 |  33 |
|    8 |    7 |  37 |
|    8 |    8 |  31 |
|    8 |    9 |  34 |
|    8 |   10 |  41 |
|    8 |   11 |  31 |
|    8 |   12 |  33 |
|    8 |   13 |  36 |
|    8 |   14 |  31 |
|    8 |   15 |  31 |
|    8 |   16 |  25 |
|    8 |   17 |  19 |
|    8 |   18 |  16 |
|    8 |   19 |  16 |
|    8 |   20 |  16 |
|    8 |   21 |  19 |
|    8 |   22 |  18 |
|    8 |   23 |  22 |
|    9 |    0 |  23 |
|    9 |    1 |  22 |
|    9 |    2 |  27 |
|    9 |    3 |  28 |
|    9 |    4 |  32 |
|    9 |    5 |  29 |
|    9 |    6 |  30 |
|    9 |    7 |  29 |
|    9 |    8 |  33 |
|    9 |    9 |  31 |
|    9 |   10 |  35 |
|    9 |   11 |  36 |
|    9 |   12 |  34 |
|    9 |   13 |  35 |
|    9 |   14 |  32 |
|    9 |   15 |  30 |
|    9 |   16 |  35 |
|    9 |   17 |  26 |
|    9 |   18 |  18 |
|    9 |   19 |  16 |
|    9 |   20 |  16 |
|    9 |   21 |  16 |
|    9 |   22 |  22 |
|    9 |   23 |  20 |
|   10 |    0 |  24 |
|   10 |    1 |  28 |
|   10 |    2 |  25 |
|   10 |    3 |  29 |
|   10 |    4 |  29 |
|   10 |    5 |  31 |
|   10 |    6 |  30 |
|   10 |    7 |  35 |
|   10 |    8 |  33 |
|   10 |    9 |  34 |
|   10 |   10 |  43 |
|   10 |   11 |  36 |
|   10 |   12 |  44 |
|   10 |   13 |  30 |
|   10 |   14 |  30 |
|   10 |   15 |  25 |
|   10 |   16 |  26 |
|   10 |   17 |  25 |
|   10 |   18 |  23 |
|   10 |   19 |  20 |
|   10 |   20 |  20 |
|   10 |   21 |  21 |
|   10 |   22 |  22 |
|   10 |   23 |  22 |
|   11 |    0 |  29 |
|   11 |    1 |  38 |
|   11 |    2 |  27 |
|   11 |    3 |  30 |
|   11 |    4 |  28 |
|   11 |    5 |  30 |
|   11 |    6 |  35 |
|   11 |    7 |  37 |
|   11 |    8 |  38 |
|   11 |    9 |  34 |
|   11 |   10 |  36 |
|   11 |   11 | 764 |
|   11 |   12 |  52 |
|   11 |   13 |   4 |
|   11 |   17 |   1 |
|   11 |   18 |   4 |
|   11 |   19 |   4 |
|   11 |   20 |   4 |
+------+------+-----+
258 rows in set (0.05 sec)

mysql:wikiadmin@db1038 [oai]>

From @fresheyecom.
We have stopped using the API. Please tell us whether we are still using the API now.
Thank you for your cooperation.

You appeared again in the audit table about 3 minutes after posting that comment.

We haven't found the part accessing the audit table.
If we appear still in that table, please show us our requests(URL) to it or the log about our requests.

Reedy added a comment.EditedMar 14 2016, 12:23 PM
mysql:wikiadmin@db1038 [oai]> SELECT DAYOFYEAR(oa_timestamp) - 60 AS 'Day', HOUR(oa_timestamp) AS 'Hour', COUNT(*) AS num FROM oaiaudit WHERE oa_timestamp > 20160311000000 GROUP BY DAYOFYEAR(oa_timestamp), HOUR(oa_timestamp);
+------+------+-----+
| Day  | Hour | num |
+------+------+-----+
|   11 |    0 |  29 |
|   11 |    1 |  38 |
|   11 |    2 |  27 |
|   11 |    3 |  30 |
|   11 |    4 |  28 |
|   11 |    5 |  30 |
|   11 |    6 |  35 |
|   11 |    7 |  37 |
|   11 |    8 |  38 |
|   11 |    9 |  34 |
|   11 |   10 |  36 |
|   11 |   11 | 764 |
|   11 |   12 |  52 |
|   11 |   13 |   4 |
|   11 |   17 |   1 |
|   11 |   18 |   4 |
|   11 |   19 |   4 |
|   11 |   20 |   4 |
|   11 |   21 |   4 |
|   11 |   22 |   4 |
|   11 |   23 |   4 |
|   12 |    0 |   4 |
|   12 |    1 |   4 |
|   12 |    2 |   4 |
|   12 |    3 |   4 |
|   12 |    4 |   4 |
|   12 |    5 |   4 |
|   12 |    6 |   4 |
|   12 |    7 |   4 |
|   12 |    8 |   4 |
|   12 |    9 |   4 |
|   12 |   10 |   4 |
|   12 |   11 |   4 |
|   12 |   17 |   1 |
|   12 |   18 |   4 |
|   12 |   19 |   4 |
|   12 |   20 |   4 |
|   12 |   21 |   4 |
|   12 |   22 |   4 |
|   12 |   23 |   4 |
|   13 |    0 |   4 |
|   13 |    1 |   4 |
|   13 |    2 |   4 |
|   13 |    3 |   4 |
|   13 |    4 |   4 |
|   13 |    5 |   4 |
|   13 |    6 |   4 |
|   13 |    7 |   4 |
|   13 |    8 |   4 |
|   13 |    9 |   4 |
|   13 |   10 |   4 |
|   13 |   11 |   4 |
|   13 |   17 |   1 |
|   13 |   18 |   4 |
|   13 |   19 |   4 |
|   13 |   20 |   4 |
|   13 |   21 |   4 |
|   13 |   22 |   4 |
|   13 |   23 |   4 |
|   14 |    0 |   4 |
|   14 |    1 |   4 |
|   14 |    2 |   4 |
|   14 |    3 |   4 |
|   14 |    4 |   4 |
|   14 |    5 |   4 |
|   14 |    6 |   4 |
|   14 |    7 |   4 |
|   14 |    8 |   4 |
|   14 |    9 |   4 |
|   14 |   10 |   4 |
|   14 |   11 |   4 |
+------+------+-----+
71 rows in set (0.05 sec)

mysql:wikiadmin@db1038 [oai]>
Reedy added a comment.EditedMar 14 2016, 12:25 PM

We haven't found the part accessing the audit table.
If we appear still in that table, please show us our requests(URL) to it or the log about our requests.

verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z

We can tell you the IP address the requests are coming from too, if that helps. Let us know if you want it publicly or privately.

Whois says it belongs to "Japan Nation-wide Network of Softbank Corp"

mysql:wikiadmin@db1038 [oai]> select oa_timestamp, oa_request from oaiaudit;
+----------------+-------------------------------------------------------------------------+
| oa_timestamp   | oa_request                                                              |
+----------------+-------------------------------------------------------------------------+
| 20160314001002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314002502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314004003 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314005502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314011002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314012502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314014002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314015502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314021002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314022502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314024002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314025502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314031002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314032502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314034002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314035502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314041003 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314042502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314044002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314045502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314051002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314052502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314054002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314055501 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314061002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314062502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314064002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314065501 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314071002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314072503 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314074001 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314075502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314081002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314082502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314084002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314085502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314091002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314092502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314094002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314095502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314101002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314102501 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314104003 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314105501 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314111002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314112502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314114002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314115502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
+----------------+-------------------------------------------------------------------------+
48 rows in set (0.00 sec)

Thank you very much.
Please tell us the IP address, not all parts A.B.C.D but the last part only as X.X.X.D.

Reedy added a comment.Mar 14 2016, 1:00 PM

Thank you very much.
Please tell us the IP address, not all parts A.B.C.D but the last part only as X.X.X.D.

102 is the last octet. I note there has been no further requests since 20160314115502

Is it true that fresheye.com does not appear?
We have stopped using the API.

Reedy added a comment.Mar 14 2016, 1:46 PM

Is it true that fresheye.com does not appear?
We have stopped using the API.

20160314115502 is still the last entry. Looking at the list of timestamps, I would've expected 4 or 5 entries per hour for the last few hours. There's been none for the last couple of hours at least.

It would look like you have fully stopped. Yay, thanks :)

Just be aware, if something is still latently running, it will stop working completely in the next few hours when OAI is undeployed

Thanks for your help!

We understand.
Thank you very much for your cooperation for a long time.

Reedy closed this task as Resolved.Mar 14 2016, 2:08 PM
Reedy claimed this task.
Reedy added a comment.EditedMar 15 2016, 12:05 AM

It seems you've started using it again...

mysql:wikiadmin@db1038 [oai]> select oa_timestamp, oa_request from oaiaudit;
+----------------+-------------------------------------------------------------------------+
| oa_timestamp   | oa_request                                                              |
+----------------+-------------------------------------------------------------------------+
| 20160314001002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314002502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314004003 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314005502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314011002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314012502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314014002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314015502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314021002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314022502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314024002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314025502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314031002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314032502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314034002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314035502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314041003 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314042502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314044002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314045502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314051002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314052502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314054002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314055501 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314061002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314062502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314064002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314065501 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314071002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314072503 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314074001 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314075502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314081002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314082502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314084002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314085502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314091002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314092502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314094002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314095502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314101002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314102501 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314104003 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314105501 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314111002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314112502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314114002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314115502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314171002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314181002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314182502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314184002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314185502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314191002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314192503 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314194002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314195502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314201002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314202502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314204003 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314205503 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314211002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314212502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314214002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314215502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314222502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314224003 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314225502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314231002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314232502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314234002 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
| 20160314235502 | verb=ListRecords&metadataPrefix=mediawiki&from=2015-04-21T19%3A33%3A25Z |
+----------------+-------------------------------------------------------------------------+
72 rows in set (0.00 sec)

But we're going to turn it of now

There is no problem for us of your turning it off.
We found the last running program using the API, and we have stopped the program.
We don't use the API now.